### Method

# Gtk TreeStoreiter_depth

deprecated: 4.10

#### Declaration [src]

    int
    gtk_tree_store_iter_depth (
      GtkTreeStore* tree_store,
      GtkTreeIter* iter
    )

#### Description [src]

Returns the depth of the position pointed by the iterator

The depth will be 0 for anything on the root level, 1 for anything down a level, etc.

Deprecated since: 4.10

Use `GtkTreeListModel` instead.

#### Parameters

`iter`

  Type: `GtkTreeIter`

  A valid `GtkTreeIter`

  The data is owned by the caller of the method.

#### Return value

Type: `int`

The depth of the position pointed by the iterator.